Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_DynEnum_i Class Reference

`#include <DynEnum_i.h>`

Inheritance diagram for TAO_DynEnum_i:

[legend]
Collaboration diagram for TAO_DynEnum_i:

[legend]
List of all members.

## Public Methods
| TAO_DynEnum_i (void)
| ~TAO_DynEnum_i (void)
void | init (CORBA_TypeCode_ptr tc ACE_ENV_ARG_DECL)
void | init (const CORBA_Any &any ACE_ENV_ARG_DECL)
virtual void * | _tao_QueryInterface (ptr_arith_t type)
virtual char * | get_as_string (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | set_as_string (const char *value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )
virtual CORBA::ULong | get_as_ulong (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | set_as_ulong (CORBA::ULong value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )
virtual void | from_any (const CORBA::Any &value ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )
virtual CORBA::Any * | to_any (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual CORBA::Boolean | equal (DynamicAny::DynAny_ptr dyn_any ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException )
virtual DynamicAny::DynAny_ptr | current_component (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )
## Static Public Methods
TAO_DynEnum_i * | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
## Private Methods
void | init_common (void)
| TAO_DynEnum_i (const TAO_DynEnum_i &src)
TAO_DynEnum_i & | operator= (const TAO_DynEnum_i &src)
## Private Attributes
CORBA::ULong | value_

## Constructor & Destructor Documentation

TAO_DynEnum_i::TAO_DynEnum_i | ( | void |  | ) |

TAO_DynEnum_i::~TAO_DynEnum_i | ( | void |  | ) |

TAO_DynEnum_i::TAO_DynEnum_i | ( | const TAO_DynEnum_i & | src | ) | `[private]`

## Member Function Documentation

TAO_DynEnum_i * TAO_DynEnum_i::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

| Reimplemented from DynamicAny::DynEnum.

void * TAO_DynEnum_i::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Reimplemented from DynamicAny::DynEnum.

DynamicAny::DynAny_ptr TAO_DynEnum_i::current_component | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

void TAO_DynEnum_i::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual CORBA::Boolean TAO_DynEnum_i::equal | ( | DynamicAny::DynAny_ptr dyn_any | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

virtual void TAO_DynEnum_i::from_any | ( | const CORBA::Any &value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::TypeMismatch, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

char * TAO_DynEnum_i::get_as_string | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynEnum.

CORBA::ULong TAO_DynEnum_i::get_as_ulong | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynEnum.

void TAO_DynEnum_i::init | ( | const CORBA_Any &any | ACE_ENV_ARG_DECL | ) |

void TAO_DynEnum_i::init | ( | CORBA_TypeCode_ptr tc | ACE_ENV_ARG_DECL | ) |

void TAO_DynEnum_i::init_common | ( | void |  | ) | `[private]`

TAO_DynEnum_i& TAO_DynEnum_i::operator= | ( | const TAO_DynEnum_i & | src | ) | `[private]`

virtual void TAO_DynEnum_i::set_as_string | ( | const char *value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynEnum.

virtual void TAO_DynEnum_i::set_as_ulong | ( | CORBA::ULong value | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException, DynamicAny::DynAny::InvalidValue )`[virtual]`

| Reimplemented from DynamicAny::DynEnum.

CORBA::Any_ptr TAO_DynEnum_i::to_any | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw ( CORBA::SystemException )`[virtual]`

| Reimplemented from DynamicAny::DynAny.

## Member Data Documentation

CORBA::ULong TAO_DynEnum_i::value_`[private]`

The documentation for this class was generated from the following files:

- DynEnum_i.h
- DynEnum_i.cpp